/*
 *  Copyright (c) WSO2 Inc. (http://wso2.com) All Rights Reserved.
 *
 *  WSO2 Inc. licenses this file to you under the Apache License,
 *  Version 2.0 (the "License"); you may not use this file except
 *  in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *
 */
package org.wso2.carbon.registry.extensions.jmx;

import org.wso2.carbon.registry.admin.api.jmx.INotificationService;

import javax.management.MBeanNotificationInfo;
import javax.management.Notification;
import javax.management.NotificationBroadcasterSupport;

public class Events extends NotificationBroadcasterSupport implements EventsMBean {

    private static final String REGISTRY_EVENT = "jmx.carbon.registry.event";
    private INotificationService implBean;

    public void setImplBean(INotificationService implBean) {
        implBean.registerBroadcaster(this, REGISTRY_EVENT);
        this.implBean = implBean;
    }

    public String[] getList() {
        return implBean.getList();
    }

    public void clearAll() {
        implBean.clearAll();
    }

    public MBeanNotificationInfo[] getNotificationInfo() {
        return new MBeanNotificationInfo[]{new MBeanNotificationInfo(new String[]{REGISTRY_EVENT},
                Notification.class.getName(), "Events generated by Registry published over JMX")};
    }
}
